Package oracle.jdbc

## Enum SecurityInformation.DNMatchStatus

- java.lang.Object
- - java.lang.Enum<SecurityInformation.DNMatchStatus>
  - - oracle.jdbc.SecurityInformation.DNMatchStatus

All Implemented Interfaces:
  `Serializable`, `Comparable<SecurityInformation.DNMatchStatus>`

Enclosing interface:
  SecurityInformation

    public static enum SecurityInformation.DNMatchStatus
    extends Enum<SecurityInformation.DNMatchStatus>

The status of server DN matching used for TLS connections.

### Enum Constant Summary

Enum Constants
`NOT_VERIFIED` Server's DN is not verified.
`VERIFIED_MATCHING_CONFIG` Server's DN is verified, and it is matching the DN configured either via URL or connection property.
`VERIFIED_MATCHING_HOSTNAME` Server's DN is verified, and it is matching the host name specified in the URL.
`VERIFIED_MATCHING_SERVICENAME` The CN from the server's certificate DN matches the database service name specified in the connection string.

### Method Summary

All Methods Static Methods Concrete Methods
`static SecurityInformation.DNMatchStatus` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static SecurityInformation.DNMatchStatus[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NOT_VERIFIED

    public static final SecurityInformation.DNMatchStatus NOT_VERIFIED

Server's DN is not verified.

#### VERIFIED_MATCHING_CONFIG

    public static final SecurityInformation.DNMatchStatus VERIFIED_MATCHING_CONFIG

Server's DN is verified, and it is matching the DN configured either via URL or connection property.

#### VERIFIED_MATCHING_HOSTNAME

    public static final SecurityInformation.DNMatchStatus VERIFIED_MATCHING_HOSTNAME

Server's DN is verified, and it is matching the host name specified in the URL. The host name from the URL is matched with one of the SANs (subject alternative names) specified in the server's certificate. If no match is found then the CN value specified in server's DN and the host name are matched.

#### VERIFIED_MATCHING_SERVICENAME

    public static final SecurityInformation.DNMatchStatus VERIFIED_MATCHING_SERVICENAME

The CN from the server's certificate DN matches the database service name specified in the connection string.

### Method Detail

#### values

    public static SecurityInformation.DNMatchStatus[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SecurityInformation.DNMatchStatus c : SecurityInformation.DNMatchStatus.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SecurityInformation.DNMatchStatus valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null